declare_plugin(" Príncipe_de_Asturias by Eric et Patrick",

{
image     	 = "Príncipe_de_Asturias.bmp",
installed 	 = true, 
dirName	  	 = current_mod_path,

fileMenuName = _("Príncipe_de_Asturias"),
version		 = "2.7.7",		 
state		 = "installed",
info		 = _("Príncipe_de_Asturias reworked by Eric et Patrick"),


encyclopedia_path = current_mod_path .. '/Encyclopedia',

})

mount_vfs_liveries_path (current_mod_path ..  "/Liveries")
mount_vfs_model_path    (current_mod_path ..  "/Shapes")
mount_vfs_texture_path	(current_mod_path ..  "/Textures")
----------------------------------------------------------------------------------------
local function ship_file(f)
	if dofile(f) then
		error("can't load file "..f)
		return
	end
	if(GT) then
		GT.shape_table_data = 
		{
			{
				file  	    = GT.visual.shape;
				username    = GT.Name;
				desrt       = GT.visual.shape_dstr;
			    classname 	= "lLandShip";
				positioning = "BYNORMAL";
			},
			{
				name  = GT.visual.shape_dstr;
				file  = GT.visual.shape_dstr;
			},
		}
		add_surface_unit(GT)
		GT = nil;
	else
		error("GT empty in file "..f)
	end;
end


ship_file(current_mod_path.."/Príncipe_de_Asturias.lua")



plugin_done()



